Open SCAP Library

Public Member Functions | Data Fields
oval_behavior Struct Reference
OVAL » OVALDEF

OVAL behavior. More...

`#include <oval_definitions.h>`

## Public Member Functions
struct oval_behavior * | oval_behavior_new (struct oval_definition_model *)
struct oval_behavior * | oval_behavior_clone (struct oval_definition_model *new_model, struct oval_behavior *old_behavior)
void | oval_behavior_free (struct oval_behavior *)
Setters
void | oval_behavior_set_keyval (struct oval_behavior *behavior, const char *key, const char *value)
Getters
char * | oval_behavior_get_key (struct oval_behavior *)
| Get OVAL behavior name. More...
char * | oval_behavior_get_value (struct oval_behavior *)
| Get OVAL behavior value. More...

## Data Fields
struct oval_definition_model * | model
char * | value
char * | key

## Detailed Description

OVAL behavior.

The documentation for this struct was generated from the following files:

- oval_behavior.c
- oval_definitions.h